« KNOPPIX 5.1.1 bug workaround | トップページ

2008年5月17日 (土)

WLI-UC-G300N with debian

Install the native linux driver to debian 4.0r3etch

Buffalo's WLI-UC-G300N utilizes ralink RT2870F. You can get native linux driver from ralink web site as following URL:

http://www.ralinktech.com/ralink/Home/Support/Linux.html

Get the latest "RT2870USB(RT2870/RT2870)". Current version is v1.3.0.0.

# mv ./2008_0506_RT2870_Linux_STA_v1.3.0.0.tar.bz2 /usr/src/

# cd /usr/src

# bunzip2 2008_0506_RT2870_Linux_STA_v1.3.0.0.tar.bz2

# tar xvf 2008_0506_RT2870_Linux_STA_v1.3.0.0.tar

# cd 2008_0506_RT2870_Linux_STA_v1.3.0.0

# vi include/rt2870.h

Add the following line during definition of "#define RT2870_USB_DEVICES":

{USB_DEVICE(0x0411,0x00e8)}, /* Buffalo */ \

# make

# make install

# modprobe rt2870sta

Now you can find the ra0 when you insert WLI-UC-G300N to your PC.

« KNOPPIX 5.1.1 bug workaround | トップページ

debian」カテゴリの記事

Linux」カテゴリの記事

コメント


ちょっと聞いてよ~。
こないだのオッサン、マジ半端ないんだけど。ヮラ
http://yxfxxyn.x.ex-summer.net/

コメントを書く

(ウェブ上には掲載しません)

トラックバック

この記事のトラックバックURL:
http://app.cocolog-nifty.com/t/trackback/510628/41238054

この記事へのトラックバック一覧です: WLI-UC-G300N with debian:

« KNOPPIX 5.1.1 bug workaround | トップページ